'                                 FEWER COMMENTS (EASIER TO READ)
'
'                                           EXAMPLE 05
'
'                       USING TWO COGS (PROCESSORS) WITH ARGUMENTS AND PARAMETERS             
'*************************************************************************************************
'CORRECT OUTPUT: The LED at A16 will blink on and off every 0.2 seconds and the LED at A17 will
'                blink on and off every 2.0 seconds.  The blinking will occur in parallel, but
'                the LED at A16 will finish ten times faster. Both LEDs will blink five times.
'Submitted by Dave Scanlan, March 5, 2006          
'File: Example05_FewerComments.spin
'*************************************************************************************************
'
CON
  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000' 
  High = 1
  Low  = 0
'
VAR
  Long Stack0[20]                           
  Long Stack1[20]                           
  Long WaitPeriod_Arg                       
'
PUB Start
  WaitPeriod_Arg := 8_000_000                                                                     
  CogNew(BlinkingLED_A16 (WaitPeriod_Arg), @Stack0)
' 
  WaitPeriod_Arg := 80_000_000              '
  CogNew(BlinkingLED_A17 (WaitPeriod_Arg), @Stack1)
'
'LED Blinks Fast
PRI BlinkingLED_A16 (WaitPeriod_Par) | Pin  '
  Pin := 16
  DirA[Pin] := %1
' 
  Repeat 5
    OutA[Pin] := High                                                     
    WaitCnt(WaitPeriod_Par + Cnt)            
    OutA[Pin] := Low                   
    WaitCnt(WaitPeriod_Par + Cnt)            
'
'LED Blinks Slowly
PRI BlinkingLED_A17 (WaitPeriod_Par)| Pin                                                            
  Pin := 17
  DirA[Pin] := %1
' 
  Repeat 5
    OutA[Pin] := High                                                     
    WaitCnt(WaitPeriod_Par + Cnt)                                     
    OutA[Pin] := Low                   
    WaitCnt(WaitPeriod_Par + Cnt)            

