'                             FEWER COMMENTS (EASIER TO READ)
'
'                                      EXAMPLE 09
'
'                           DEBUGGING USING THE VIDEO MONITOR                                 
'****************************************************************************
'IMPORTANT: This example requires an understanding of example 04.
'****************************************************************************
'CORRECT OUTPUT: The values of three variables are displayed on the video
'                monitor in Decimal, Hex, and Binary format.
'                After 10 seconds, Pin A1 is monitored and its state is 
'                displayed on the video monitor.
'
'Submitted by Dave Scanlan, March 13, 2006         
'File: Example09_FewerComments.spin
'****************************************************************************
'
CON
  _clkmode = xtal1 + pll16x       
  _xinfreq = 5_000_000
  NewLine = 13
  Out = %1
  In = %0
'
VAR
  Word Value
'
OBJ
  VideoDisplay: "TV_Terminal"                   
'
PUB Start
'
  VideoDisplay.start             
  SetScreenToWhiteOnDarkBlue
  DirA[1] := In                  
'
  'DISPLAYS VALUE AS DECIMAL
     Value := 500
     VideoDisplay.Dec(Value)      
     VideoDisplay.Out(NewLine)
' 
  'DISPLAYS VALUE AS HEX
     Value := $FF
     VideoDisplay.Hex(Value,2)    
     VideoDisplay.Out(NewLine)
'
  'DISPLAYS VALUE AS BINARY
     Value := %0001_0001
     VideoDisplay.Bin(Value,8)    
     VideoDisplay.Out(NewLine)
'
  WaitCnt(1_000_000_000 + Cnt)    
' 
  'MONITORS Pin A1
     Repeat                       
       VideoDisplay.Bin(InA[1],1)
       VideoDisplay.Out(NewLine)
'
PRI SetScreenToWhiteOnDarkBlue                  
  VideoDisplay.out(3)                           
  VideoDisplay.out(5)

