
'                                   FEWER COMMENTS (EASIER TO READ)

'                                              EXAMPLE 12
'
'                          PROXIMITY DETECTION USING THE SHARP GD2D12 OR GD2D120              
'*************************************************************************************************
'IMPORTANT: This example may require an understanding of Example 01
'*************************************************************************************************
'DIFFICULTY LEVEL:  Very Easy
'*************************************************************************************************
'CORRECT OUTPUT:  When an object is detected, the LED at A16 will turn on, and it will stay on
'                 until the object is no longer detected.
'Submitted by Dave Scanlan, April 17, 2006         
'File: Example12_FewerComments.spin
'*************************************************************************************************
CON
  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000
'
  High = 1                         
  Low  = 0                         
  Out = %1
  In = %0
' 
VAR
  Byte Pin
'
OBJ
  LCD: "Debug_LCD"                    'Creates an object and names it LCD
'
PUB Start
  ProximitySensor
'
PRI ProximitySensor
  Pin := 16                           'LED's location
  DirA[Pin] := Out
  Pin := 1                            'The input from LM339                       
  DirA[Pin] := In  
'
  Repeat                              
    If InA[1] == High
      OutA[16] := High
    else
      OutA[16] := Low